# modulesextra-sidebar.php

Package
  \Default

## Tags

None found

## Functions

### render_sidebar()

    render_sidebar(array  $pageindex, string  $root_pagename = "") : string

Renders the sidebar for a given pageindex.

#### Parameters

array | $pageindex | The pageindex to render the sidebar for
string | $root_pagename | The pagename that should be considered the root of the rendering. You don't usually need to use this, it is used by the algorithm itself since it is recursive.

#### Returns

string —

A HTML rendering of the sidebar for the given pageindex.

#

File
  modules/extra-sidebar.php

## Tags

package | extra-sidebar extra-sidebar

###